OpenTTD Source: InternalSocialIntegrationPlugin Class Reference

OpenTTD Source 15.0-RC2

Public Member Functions | Data Fields
InternalSocialIntegrationPlugin Class Reference

Container to track information per plugin. More...

## Public Member Functions
| InternalSocialIntegrationPlugin (const std::string &filename, const std::string &basepath)

## Data Fields
OpenTTD_SocialIntegration_v1_PluginInfo | plugin_info = {}
| Information supplied by plugin.
OpenTTD_SocialIntegration_v1_PluginApi | plugin_api = {}
| API supplied by plugin.
OpenTTD_SocialIntegration_v1_OpenTTDInfo | openttd_info = {}
| Information supplied by OpenTTD.
std::unique_ptr< LibraryLoader > | library = nullptr
| Library handle.
SocialIntegrationPlugin | external
| Information of the plugin to be used by other parts of our codebase.

## Detailed Description

Container to track information per plugin.

Definition at line 27 of file social_integration.cpp.

## Constructor & Destructor Documentation

## ◆ InternalSocialIntegrationPlugin()

InternalSocialIntegrationPlugin::InternalSocialIntegrationPlugin | ( | const std::string & | filename,
|  | const std::string & | basepath
| ) |  |
| inline

Definition at line 29 of file social_integration.cpp.

## Field Documentation

## ◆ external

SocialIntegrationPlugin InternalSocialIntegrationPlugin::external

Information of the plugin to be used by other parts of our codebase.

Definition at line 47 of file social_integration.cpp.

## ◆ library

std::unique_ptr<LibraryLoader> InternalSocialIntegrationPlugin::library = nullptr

Library handle.

Definition at line 43 of file social_integration.cpp.

## ◆ openttd_info

OpenTTD_SocialIntegration_v1_OpenTTDInfo InternalSocialIntegrationPlugin::openttd_info = {}

Information supplied by OpenTTD.

Definition at line 43 of file social_integration.cpp.

## ◆ plugin_api

OpenTTD_SocialIntegration_v1_PluginApi InternalSocialIntegrationPlugin::plugin_api = {}

API supplied by plugin.

Definition at line 42 of file social_integration.cpp.

## ◆ plugin_info

OpenTTD_SocialIntegration_v1_PluginInfo InternalSocialIntegrationPlugin::plugin_info = {}

Information supplied by plugin.

Definition at line 41 of file social_integration.cpp.

The documentation for this class was generated from the following file:

- src/social_integration.cpp